# Gets snapshots of asset metric constituents
curl --compressed "https://api.coinmetrics.io/v4/constituent-snapshots/asset-metrics?metric=volume_trusted_spot_usd_1d&api_key=<your_key>"
{
"data": [
{
"time": "2023-09-01T00:00:00.000000000Z",
"exchange": "coinbase"
},
{
"time": "2023-09-01T00:00:00.000000000Z",
"exchange": "binance"
},
{
"time": "2023-09-01T00:00:00.000000000Z",
"exchange": "binance.us"
}
],
"next_page_token": "0.MjAxNy0wNS0yMlQwMDowMDowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/constituent-snapshots/asset-metrics?metric=volume_trusted_spot_usd_1d&at_time=now&pretty=true&page_size=3&api_key=<your_key>"
}
Constituent Snapshots
Snapshots of asset metric constituents
Returns snapshots of asset metric constituents.
Results are sorted by tuple (time, constituent_name), where constituent_name depends on a target metric.
E.g., the volume_trusted_spot_usd_1d metric constituents are exchanges,
i.e. the output will be sorted by (time, exchange).
GET
/
constituent-snapshots
/
asset-metrics
# Gets snapshots of asset metric constituents
curl --compressed "https://api.coinmetrics.io/v4/constituent-snapshots/asset-metrics?metric=volume_trusted_spot_usd_1d&api_key=<your_key>"
{
"data": [
{
"time": "2023-09-01T00:00:00.000000000Z",
"exchange": "coinbase"
},
{
"time": "2023-09-01T00:00:00.000000000Z",
"exchange": "binance"
},
{
"time": "2023-09-01T00:00:00.000000000Z",
"exchange": "binance.us"
}
],
"next_page_token": "0.MjAxNy0wNS0yMlQwMDowMDowMFo",
"next_page_url": "https://api.coinmetrics.io/v4/constituent-snapshots/asset-metrics?metric=volume_trusted_spot_usd_1d&at_time=now&pretty=true&page_size=3&api_key=<your_key>"
}

